package gongyinglian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/gongyinglian/model"
)

type purchase struct{ Order }

func (s purchase) Inputs(m *ice.Message, arg ...string) {
	s.Table.Inputs(m.Options(model.PRODUCT_TYPE, kit.Format(ProductMaterial)), arg...)
}
func (s purchase) List(m *ice.Message, arg ...string) {
	m.Cmdy(s.Order, arg, kit.Dict(model.ORDER_TYPE, kit.Format(OrderPurchase)))
	kit.If(len(arg) == 1, func() { m.Action(s.Purchase) })
}

func init() { ice.TeamCtxCmd(purchase{}) }
