package guanlixitong

import "shylinux.com/x/ice"

type group struct{ Table }

func init() { ice.TeamCtxCmd(group{}) }

type GroupType int

const (
	GroupRD GroupType = iota
	GroupOP
	GroupHR
	GroupFA
	GroupAdmin
	GroupSales
)

var GroupTypeList = map[GroupType]string{
	GroupRD:    "RD",
	GroupOP:    "OP",
	GroupHR:    "HR",
	GroupFA:    "FA",
	GroupAdmin: "admin",
	GroupSales: "sales",
}

func (s GroupType) String() string { return GroupTypeList[s] }
