package guanlixitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type resume struct {
	interview interview
	Table
	fields          string `data:"name,info,mobile,email,degree,user_uid"`
	create          string `name:"create name* info* mobile* email degree" role:"leader"`
	remove          string `name:"remove" role:"leader"`
	interviewInsert string `name:"create title* content* address* begin_time*@date end_time*@date" role:"leader"`
}

func (s resume) List(m *ice.Message, arg ...string) {
	s.ValueList(m, arg).Display("")
	m.Table(func(value ice.Maps) {
		m.PushButton(s.InterviewInsert)
	})
}
func (s resume) InterviewInsert(m *ice.Message, arg ...string) {
	m.Cmdy(s.interview, s.interview.Insert, arg, m.OptionSimple(model.GROUP_UID, model.USER_UID))
}

func init() { ice.TeamCtxCmd(resume{}) }
